Package org.opensaml.core.xml.config

# Class AbstractXMLObjectProviderInitializer

java.lang.Object
org.opensaml.core.xml.config.AbstractXMLObjectProviderInitializer

All Implemented Interfaces:
  `Initializer`

Direct Known Subclasses:
  `TestXMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`

public abstract class AbstractXMLObjectProviderInitializer extends Object implements Initializer
Reads in an XML configuration and configures the XMLTooling library accordingly.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`AbstractXMLObjectProviderInitializer()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String[]`
`getConfigResources()`
Obtain the list of configuration file resources which should be loaded.
`void`
`init()`
Perform the initialization process encompassed by the implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### AbstractXMLObjectProviderInitializer

public AbstractXMLObjectProviderInitializer()

## Method Details

### init

public void init() throws InitializationException
Perform the initialization process encompassed by the implementation.

Specified by:
  `init` in interface `Initializer`
Throws:
  `InitializationException` - if initialization could not be completed successfully

### getConfigResources

@Nonnull protected abstract String[] getConfigResources()
Obtain the list of configuration file resources which should be loaded.

Returns:
  the list of configuration file resources